﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Routing;
using System.Web.Security;
using System.Web.SessionState;

namespace ASPNETDemo
{
    public class Global : System.Web.HttpApplication
    {

        protected void Application_Start(object sender, EventArgs e)
        {
            var defaults = new RouteValueDictionary();
            defaults.Add("name", "*");
            //方式一：
            //通过RouteTable的静态对象Routes新增一个Route类型的对象。
            RouteTable.Routes.Add("app", new Route("app/{name}", defaults, new MyRouteHandler()));
            //方式二：
            //通过RouteTable的静态对象Routes的扩展方法新增一个路由规则。
            RouteTable.Routes.MapPageRoute("default", "app/{name}", "~/WebForm1.aspx", false, defaults);
        }

    }
    /// <summary>
    /// 实现了IRouteHandler接口的类型
    /// </summary>
    internal class MyRouteHandler : IRouteHandler
    {
        public IHttpHandler GetHttpHandler(RequestContext requestContext)
        {
            //返回一个Page对象，用于处理请求。
            return new WebForm1();
        }
    }
}